<template>
	<view class="p-root-home-success g_kuaishou">
		<view class="g_flex_row_center g_pt_159">
			<g-panel-image :url="cdnBaseImg + 'applia_success.svg'" size="220" />
		</view>
		<view class="g_pt_23 g_pb_12 g_fs_19 g_c_3 g_fw_600 g_flex_row_center"> 已报名成功 </view>
		<view class="g_pt_12 g_pb_106 g_fs_14 g_flex_row_center" style="color: #8f8f8f"> 您已成功报名该岗位，请等待发单号审核。 </view>
		<view>
			<g-button btnText="继续报名" type="primary" @clickBtn="goReturn" />
		</view>
		<view class="g_flex_row_center">
			<view class="g_c_sub g_mt_16 g_fs_14 g_text_c g_w_all g_fw_700" style="position: fixed; bottom: 56px; width: calc(100vw - 20px); left: 50%; transform: translateX(-50%)" hover-class="thover" @click="goList">查看报名工单</view>
		</view>
	</view>
</template>

<script>
export default {
	onReady() {
		this.G.setNavStyle();
	},
	onShareAppMessage() {
		return this.G.shareFun();
	},
	data() {
		return {
			cdnBaseImg: this.G.store().cdnBaseImg,
		};
	},
	methods: {
		goReturn() {
			uni.$emit("resetTownsman", { reset: true });
			uni.navigateBack();
		},
		goList() {
			uni.setStorageSync("apply-tab-active", 1);
			uni.navigateTo({
				url: "/pages/apply/index",
			});
		},
	},
};
</script>

<style></style>
